WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: Extensions from 4.x repo verified ok with tc-5  (Read 44958 times)

Offline Misalf

  • Hero Member
  • *****
  • Posts: 1597
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #30 on: September 17, 2013, 02:36:22 AM »
I don't have any experience with geany-plugins.

I just tested some build-in plugins as far as I am able to.
working: HTML Characters
working: Split Window
working: File Browser
working: Save Actions (Auto Save: OK - Backup Copy: Not sure)
Download a copy and keep it handy: Core book ;)

Offline Misalf

  • Hero Member
  • *****
  • Posts: 1597
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #31 on: September 17, 2013, 02:52:43 AM »
working: numlockx
Download a copy and keep it handy: Core book ;)

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 9634
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #32 on: September 17, 2013, 03:03:25 AM »
geany* and numlockx posted

Offline Onyarian

  • Sr. Member
  • ****
  • Posts: 335
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #33 on: September 17, 2013, 07:52:39 AM »
working: kompozer.tcz
              grsync.tcz

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 9634
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #34 on: September 17, 2013, 08:53:47 AM »
working: kompozer.tcz
              grsync.tcz

posted

Offline Zendrael

  • Sr. Member
  • ****
  • Posts: 355
    • Zendrael's home of projects
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #35 on: September 18, 2013, 03:26:18 AM »
Hi!

busybox-httpd.tcz

is ok and working!

Offline Zendrael

  • Sr. Member
  • ****
  • Posts: 355
    • Zendrael's home of projects
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #36 on: September 18, 2013, 03:46:16 AM »
Hello!

bftpd.tcz (which has nothing in dep file) hangs with segfault saying error 4 in libc-2.17.so

The lib with this version does not exist in any package. Searching for "libc" returns a lot of other extensions.

Offline coreplayer2

  • Hero Member
  • *****
  • Posts: 2544
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #37 on: September 18, 2013, 04:11:18 AM »
I built the latest xdg-utils for my personal use...

Are you saying that the xdg-utils in the tc-4.x repo works with tc-5.x?
No the 4.x version had issues in 5.x   So built a new version which was successful in 5.0 but I'm not the maintainer, so am waiting for the maintainer to submit an updated version

Only mentioned it here because it was mentioned earlier in the thread

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 9634
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #38 on: September 18, 2013, 04:58:36 AM »
bftpd.tcz (which has nothing in dep file) hangs with segfault saying error 4 in libc-2.17.so

The lib with this version does not exist in any package. Searching for "libc" returns a lot of other extensions.

That probably means that bftpd needs recompiling against glibc-2.17 in tc-5.x

Offline curaga

  • Administrator
  • Hero Member
  • *****
  • Posts: 9627
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #39 on: September 18, 2013, 07:00:28 AM »
Even latest bftpd is buggy with this glibc. I'll see if I can report that.

edit: It's an issue with crypt() being more strict in glibc 2.17. It also hit sudo and many other apps.
« Last Edit: September 18, 2013, 10:59:46 AM by curaga »
The only barriers that can stop you are the ones you create yourself.

Offline Onyarian

  • Sr. Member
  • ****
  • Posts: 335
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #40 on: September 18, 2013, 09:46:31 AM »
working:  alsamixergui.tcz

               volumeicon.tcz   (in this changing in volumeicon.tcz.dep the entry Xorg-7.6-lib.tcz with Xorg-7.7-lib.tcz)

                galculator.tcz

                geeqie-locale.tcz and geeqie.tcz (in this one it must be added to the geeqie.tcz.dep the lcms.tcz entry)

                lshw.tcz

                xpad.tcz and xpad-locale.tcz

                xscreensaver-base.tcz
« Last Edit: September 18, 2013, 10:54:58 AM by Onyarian »

Offline Misalf

  • Hero Member
  • *****
  • Posts: 1597
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #41 on: September 18, 2013, 09:08:23 PM »
working: getFlash11.tcz
Download a copy and keep it handy: Core book ;)

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 9634
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #42 on: September 18, 2013, 11:40:35 PM »
alsamixergui, volumeicon.tcz, galculator, geeqie*, lshw, xpad*, xscreensaver-base and getFlash11 posted

Offline Zendrael

  • Sr. Member
  • ****
  • Posts: 355
    • Zendrael's home of projects
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #43 on: September 19, 2013, 12:29:04 PM »
Juanito, please post the
  • busybox-httpd.tcz
  • transmission.tcz
  • transmission-locale.tcz
  • libevent.tcz
too, it's ok.

The transmission-gtk throws error while loading shared libraries: libpng12.so.0 - even with libpng.tcz loaded.
« Last Edit: September 19, 2013, 12:35:02 PM by Zendrael »

Offline Lee

  • Hero Member
  • *****
  • Posts: 644
    • My Core wiki user page
Re: Extensions from 4.x repo verified ok with tc-5
« Reply #44 on: September 19, 2013, 01:44:19 PM »
smallbasic-cli.tcz and smallbasic-doc.tcz seem to be ok (I haven't tried all of the examples in smallbasic-doc)

smallbasic-gui  needs to be recompiled for the current libpng16.so

32 bit core4.7.7, Xprogs, Xorg-7.6, wbar, jwm  |  - Testing -
PPR, data persistence through filetool.sh          |  32 bit core 8.0 alpha 1
USB Flash drive, one partition, ext2, grub4dos  | Otherwise similar